# $Revision: 1.15 $, $Date: 2011/05/03 07:03:39 $
Summary:	Ban IPs that make too many password failures
Summary(pl.UTF-8):	Blokowanie IP powodujących zbyt dużo prób logowań z błędnym hasłem
Name:		fail2ban
Version:	0.8.4
Release:	3
License:	GPL
Group:		Daemons
Source0:	http://dl.sourceforge.net/fail2ban/%{name}-%{version}.tar.bz2
# Source0-md5:	df94335a5d12b4750869e5fe350073fa
Source1:	%{name}.init
Patch0:		%{name}-CVE-2009-5023.patch
URL:		http://fail2ban.sourceforge.net/
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires(post,preun):	/sbin/chkconfig
Requires:	python-log4py
Requires:	rc-scripts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fail2Ban scans log files like /var/log/secure and bans IP that makes
too many password failures. It updates firewall rules to reject the IP
address. These rules can be defined by the user. Fail2Ban can read
multiple log files including sshd or Apache web server logs.

%description -l pl.UTF-8
Fail2Ban skanuje pliki logów takie jak /var/log/secure i blokuje IP
powodujące zbyt dużo prób logowań z błędnym hasłem. Uaktualnia regułki
firewalla, aby odrzucić adres IP. Regułki te mogą być definiowane
przez użytkownika. Fail2Ban potrafi czytać wiele plików logów włącznie
z sshd czy plikami logów serwera WWW Apache.

%prep
%setup -q
%patch0 -p1
rm setup.cfg

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d $RPM_BUILD_ROOT%{_mandir}/man1

PYTHONPATH=$RPM_BUILD_ROOT%{py_sitescriptdir}; export PYTHONPATH

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/fail2ban
install man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO COPYING
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_bindir}/%{name}-*
%dir /var/run/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*
%{py_sitescriptdir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fail2ban.spec,v $
Revision 1.15  2011/05/03 07:03:39  marti
- added patch closing CVE-2009-5023

Revision 1.14  2010/07/08 07:47:34  arekm
- release 2

Revision 1.13  2009/12/14 08:06:25  dzeus
- up to 0.8.4

Revision 1.12  2008/10/23 14:49:50  qboosh
- fixed and updated init script, cleanups

Revision 1.11  2008/10/22 22:01:11  yaro
- fixed typos

Revision 1.10  2008/10/22 21:54:13  yaro
- updated to 0.8.3

Revision 1.9  2008/06/13 11:09:40  sardzent
- added missing BR

Revision 1.8  2007-02-12 21:23:55  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.6  2006/04/16 21:44:56  glen
- fix chkconfig, rc-scripts deps

Revision 1.5  2005/12/31 17:06:13  glen
- alter source files in prep
- use %py_postclean

Revision 1.4  2005/12/31 17:03:06  glen
- BR python-devel for /usr/lib64/python2.4/config/Makefile

Revision 1.3  2005/12/19 07:24:40  qboosh
- pl, verify() for config

Revision 1.2  2005/12/15 20:52:28  darekr
- cosmetics, fix perms for init script

Revision 1.1  2005/12/15 20:49:08  aredridel
- added
- needs PLD initscript
- needs better default config
